tigase.jaxmpp.core.client.xmpp.modules.roster

## Class RosterModule.ItemAddedHandler.ItemAddedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<RosterModule.ItemAddedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.roster.RosterModule.ItemAddedHandler.ItemAddedEvent

- Enclosing interface:
    RosterModule.ItemAddedHandler

      public static class RosterModule.ItemAddedHandler.ItemAddedEvent
      extends JaxmppEvent<RosterModule.ItemAddedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemAddedEvent(SessionObject sessionObject, RosterItem currentItem, Set<String> modifiedGroups)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(RosterModule.ItemAddedHandler handler)` Invokes handlers method.
    `RosterItem` | `getItem()`
    `Set<String>` | `getModifiedGroups()`
    `void` | `setItem(RosterItem item)`
    `void` | `setModifiedGroups(Set<String> modifiedGroups)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemAddedEvent

          public ItemAddedEvent(SessionObject sessionObject,
                                RosterItem currentItem,
                                Set<String> modifiedGroups)

  - ### Method Detail

    - #### dispatch

          public void dispatch(RosterModule.ItemAddedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<RosterModule.ItemAddedHandler>`
      Parameters:
        `handler` - handler

    - #### getItem

          public RosterItem getItem()

    - #### setItem

          public void setItem(RosterItem item)

    - #### getModifiedGroups

          public Set<String> getModifiedGroups()

    - #### setModifiedGroups

          public void setModifiedGroups(Set<String> modifiedGroups)

Copyright © 2006–2023 Tigase. All rights reserved.